module.exports = {
    getBearerForKusto : async function getBearer(tenantId, clientId,clientSecret) {
        const axios = require("axios");
        const formData = new URLSearchParams();
        formData.append('grant_type', 'client_credentials');
        formData.append('client_id', clientId);
        formData.append('client_secret', clientSecret);
        formData.append('resource', 'https://help.kusto.windows.net');

        const response = await axios.request({
            url: 'https://login.microsoftonline.com/' + tenantId + '/oauth2/token',
            method: 'GET',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: formData
        });

        return (response.data.access_token)
    },
    PostDataToADX: async function postData(adxUrl,bearer,database,body) {
        const axios = require("axios");
        const response = await axios.request({
            url: adxUrl + '/rest/mgmt',
            method: 'POST',
            headers: {
                'Authorization': 'Bearer ' + bearer,
                'Content-Type' : 'application/json'
            },
            data: {
                'db' : database,
                'csl' : body,
                'properties' : null
            }
        });

        return (response)
    }
};